<template>
  <div class='main-box'>
    

  </div>
</template>
<script>
import countTo from 'vue-count-to'
import dataJson from '../../src/assets/js/index.json'
import PieChart from '@/components/charts/PieChart.vue'
import ColumnarChart from '@/components/charts/ColumnarChart.vue'
import ColumnPieChart from '@/components/charts/ColumnPieChart.vue'
import CloumnBarChart from '@/components/charts/CloumnBarChart.vue'
import GanttChart from '@/components/charts/GanttChart.vue'
import RadarChart from '@/components/charts/RadarChart.vue'
import Column from '@/components/charts/Column.vue'
export default {
  components: {
    countTo,
    PieChart,
    ColumnarChart,
    ColumnPieChart,
    CloumnBarChart,
    GanttChart,
    RadarChart,
    Column
  },
  data() {
    return {
      isMore: false, //是否显示头部全部数据
      // headerData: dataJson.header.slice(0, 6),
      headerData:dataJson.header,
      tableData: dataJson.tableData
    }
  },
  methods: {
    handleMore() {
      if (!this.isMore) {
        this.headerData = dataJson.header
      } else {
        this.headerData = dataJson.header.slice(0, 6)
      }
      this.isMore = !this.isMore
    }
  }
}
</script>
<style lang="scss" scoped>
.main-box {
  overflow-y: auto;
}
.background {
  background-color: #fff;
}
.border-radius {
  border-radius: 8px;
}
.flex {
  display: flex;
  margin: 10px;
}
.header {
  height: 120px;
  // padding-top: 12px;
  position: relative;
  .more {
    position: absolute;
    top: -5px;
    right: 10px;
    cursor: pointer;
    &:hover {
      color: #63b2ee;
    }
  }
  .header-card {
    flex: 1;
    background-color: #fff;
    /deep/ .el-card__body {
      padding: 10px !important;
      display: flex;
      flex-direction: column;
    }
    &:nth-child(2n) {
      margin-left: 10px;
    }
    &:nth-child(n + 2) {
      margin-left: 10px;
    }
    .size {
      font-size: 16px;
      font-weight: bold;
    }
    .text {
      margin-bottom: 15px;
      // color: #419bfd;
    }
    .count {
      text-align: center;
      font-size: 14px;
    }
    p {
      display: inline;
      margin: 0;
    }
    .bottom {
      display: flex;
      justify-content: space-between;
      background: #fff;
      margin: 20px -10px -10px;
      padding: 5px;
    }
  }
}
.center {
  .center-div {
    background-color: #fff;
    height: 430px;
    width: 100%;
    display: flex;
    flex-direction: column;
    &:nth-child(2) {
      margin-left: 10px;
    }
  }
  .center-div-1 {
    flex: 1;
  }
  .center-div-2 {
    flex: 2;
  }
}
.title {
  font-size: 18px;
  margin-top: 10px;
  margin-left: 20px;
  font-weight: bold;
}
.bottom {
  // .common {
  //   background-color: #fff;
  //   height: 480px;
  //   display: flex;
  //   flex-direction: column;
  // }
  .bottom-div-2 {
    flex: 2;
  }
  .bottom-div-1 {
    flex: 1;
    margin-left: 10px;
  }
}
.model {
  flex-direction: column;
  background-color: #fff;
  align-items: start;
  flex: 2;
  height: 100%;
  widows: 100%;
  margin-right: 10px;
}
.common {
  background-color: #fff;
  height: 480px;
  display: flex;
  flex-direction: column;
}
/deep/ .el-table--border {
  border-radius: 10px;
}
</style>